/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools;

import java.awt.*;
import javax.swing.*;

/**
* This is a requester for float values.
* 
* @author	Markus Hillenbrand
*/

public class FloatRequester extends StringRequester {
	
	public FloatRequester()  {
		this("JReqTools: FloatRequester", null, 0);
	}

	public FloatRequester(float defaultValue)  {
		this("JReqTools: FloatRequester", null, defaultValue);
	}

	public FloatRequester(String message, float defaultValue)  {
		this("JReqTools: FloatRequester", message, defaultValue);
	}

	public FloatRequester(String title, String message, float defaultValue)  {
		super(title, message, ""+defaultValue);
		
		setStringChecker(StringCheckers.getFloatChecker());
	}

	public float getFloat()  {
		return Float.valueOf(getString()).floatValue();
	}

}
