/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools;

import java.awt.*;
import javax.swing.*;

/**
* This is a requester for short values.
* 
* @author	Markus Hillenbrand
*/

public class ShortRequester extends StringRequester {
	
	public ShortRequester()  {
		this("JReqTools: ShortRequester", null, (short)0);
	}

	public ShortRequester(short defaultValue)  {
		this("JReqTools: ShortRequester", null, defaultValue);
	}

	public ShortRequester(String message, short defaultValue)  {
		this("JReqTools: ShortRequester", message, defaultValue);
	}

	public ShortRequester(String title, String message, short defaultValue)  {
		super(title, message, ""+defaultValue);
		
		setStringChecker(StringCheckers.getShortChecker());
	}

	public short getShort()  {
		return Short.valueOf(getString()).shortValue();
	}

}
