/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import java.awt.*;
import javax.swing.*;

public class BackgroundImage extends JLabel {
	static Icon 		icon		= null;
	static int 		width		= 0;
	static int		height		= 0;
	static boolean 	init			= true;
	
	public BackgroundImage()  {
		setBounds(0,0,Integer.MAX_VALUE,Integer.MAX_VALUE);
		
		if (init)
			{
			icon 	= UIManager.getIcon("jreqtools.patternIcon");
			width	= icon == null ? 0 : icon.getIconWidth();
			height	= icon == null ? 0 : icon.getIconHeight();
			if (width < 1 || height < 1)
				{
				icon = null;
				width = height = 0;
				}
			init = false;
			}
	}

	public void paintComponent(Graphics g)  {
		Dimension size = getParent().getSize();
		
		if (icon == null) 
			{
			g.setColor(getBackground());
			g.fillRect(0, 0, size.width, size.height);
			return;
			}
		
		for (int y=0; y<size.height; y+=height) for (int x=0; x<size.width; x+=width) icon.paintIcon(this, g, x, y);
	}

}
